Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Cinnamon WITHOUT systemd ? is it possible ?
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Desktop Environments
View previous topic :: View next topic  
Author Message
ben72
n00b
n00b


Joined: 06 Nov 2006
Posts: 28

PostPosted: Sun Oct 12, 2014 9:19 am    Post subject: Cinnamon WITHOUT systemd ? is it possible ? Reply with quote

Hi Forum,
I'm using gnome-shell in several Gentoo desktop machines and I still don't like it. I'd like to keep gtk libs and software and try a different desktop environment if possible. Now I have a brand new pc and I'd like to get a rid of both gnome-shell and systemd as well. I don't want to start a flame war on systemd but I simply don't want to be forced to use it anymore on my machines.
I use OpenRC and eudev and I'm happy with them, I wish I could use X with something like Cinnamon but without the systemd daemon, do you think this could be possible ? It seems I cannot use it without removing eudev and openrc but I prefer to stay away from systemd.
Am I forced to use XFCE or KDE to avoid systemd ? I recently used Cinnamon on Mint and I like it but systemd is like a plague, is there a way to use Cinnamon on Gentoo ?

Thank you in advance for your reply
Kind Regards

Ben
Back to top
View user's profile Send private message
Perfect Gentleman
l33t
l33t


Joined: 18 May 2014
Posts: 772

PostPosted: Sun Oct 12, 2014 9:49 am    Post subject: Reply with quote

look here http://data.gpo.zugaina.org/gentoo/gnome-extra/cinnamon/cinnamon-2.2.16-r2.ebuild
i don't word 'systemd' there
and as i remember Cinnamon 2.0 doesn't depend on GNOME anymore
so i think it's possible
Back to top
View user's profile Send private message
ben72
n00b
n00b


Joined: 06 Nov 2006
Posts: 28

PostPosted: Sun Oct 12, 2014 5:23 pm    Post subject: Not that lucky... Reply with quote

Thank you Gentleman ;)
I have seen your link and that file is the same available in my current portage tree, no diffs between them and file is the same. Cinnamon doesn't depend from Gnome but they're forcing to do so with other services, take a look at this (and please excuse my long post as well):
Code:

falcon ~ # emerge --pretend =cinnamon-2.2.16-r2 --newuse --update

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  N     ] sys-libs/libseccomp-2.1.1  USE="-static-libs"
[ebuild  N     ] gnome-extra/cinnamon-translations-2.2.3  LINGUAS="-af -am -an -ar -as -ast -az -be -be@latin -bg -bn -bn_IN -br -bs -ca -ca@valencia -crh -cs -csb -cy -da -de -dz -el -en@shaw -en_AU -en_CA -en_GB -eo -es -es_AR -et -eu -fa -fi -fil -fo -fr -fr_CA -ga -gd -gl -gu -he -hi -hr -hu -hy -ia -id -is -it -ja -jv -ka -kk -km -kn -ko -ksw -ku -ky -la -li -lo -lt -lv -mai -mg -mk -ml -mn -mr -ms -my -nb -nds -ne -nl -nn -nso -oc -om -or -pa -pl -ps -pt -pt_BR -ro -ru -rue -rw -shn -si -sk -sl -so -sq -sr -sr@ijekavianlatin -sr@latin -sv -ta -te -tg -th -tlh -tpi -tr -ts -ug -uk -ur -uz -uz@cyrillic -vi -wa -xh -yi -zh_CN -zh_HK -zh_TW -zu"
[ebuild  N     ] dev-libs/libyaml-0.1.6  USE="-doc -examples -static-libs {-test}"
[ebuild  N     ] net-wireless/wireless-regdb-20130213
[ebuild  N     ] gnome-base/gnome-common-3.12.0
[ebuild  N     ] net-misc/mobile-broadband-provider-info-20120614
[ebuild  N     ] app-text/docbook-dsssl-stylesheets-1.79
[ebuild  N     ] sys-apps/keyutils-1.5.9-r1  USE="{-test}" ABI_X86="(64) (-32) (-x32)"
[ebuild  N     ] dev-libs/libnl-3.2.23  USE="-python -static-libs -utils" PYTHON_TARGETS="python2_7 python3_3 (-python3_2)"
[ebuild  N     ] app-text/docbook-sgml-dtd-4.1-r3
[ebuild  N     ] app-text/docbook-sgml-dtd-3.0-r3
[ebuild  N     ] app-text/docbook-xml-simple-dtd-4.1.2.4-r2
[ebuild  N     ] app-text/docbook-sgml-dtd-4.0-r3
[ebuild  N     ] app-text/docbook-sgml-dtd-3.1-r3
[ebuild  N     ] sys-apps/paxctl-0.7-r2
[ebuild  N     ] app-dicts/myspell-en-20081002
[ebuild  N     ] x11-themes/hicolor-icon-theme-0.12
[ebuild  N     ] x11-libs/gnome-pty-helper-0.36.3  USE="hardened"
[ebuild  N     ] media-libs/giflib-4.1.6-r3  USE="X -rle -static-libs" ABI_X86="(64) (-32) (-x32)"
[ebuild  N     ] net-libs/libqmi-1.8.0  USE="-doc -static-libs"
[ebuild  N     ] dev-perl/XML-NamespaceSupport-1.110.0-r1
[ebuild  N     ] dev-perl/XML-SAX-Base-1.80.0-r1
[ebuild  N     ] virtual/perl-Storable-2.410.0-r1
[ebuild  N     ] x11-proto/xf86miscproto-0.9.3
[ebuild  N     ] dev-libs/libgamin-0.1.10-r4  USE="-debug -python -static-libs" ABI_X86="(64) (-32) (-x32)"
[ebuild  N     ] x11-libs/libXScrnSaver-1.2.2-r1  USE="-static-libs" ABI_X86="(64) (-32) (-x32)"
[ebuild  N     ] dev-libs/nettle-2.7.1  USE="gmp -doc (-neon) -static-libs {-test}"
[ebuild  N     ] media-libs/libtheora-1.1.1-r1  USE="encode -doc -examples -static-libs" ABI_X86="(64) (-32) (-x32)"
[ebuild  N     ] dev-util/ragel-6.7-r1  USE="-vim-syntax"
[ebuild  N     ] dev-libs/iniparser-3.1-r1  USE="-doc -examples -static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] dev-libs/libev-4.15-r1  USE="-static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  NS    ] media-libs/lcms-1.19-r1 [2.5] USE="jpeg tiff zlib -python -static-libs" PYTHON_TARGETS="python2_7 python3_3 (-python3_2) (-python3_4)"
[ebuild  N     ] x11-libs/libXxf86misc-1.0.3  USE="-static-libs"
[ebuild  N     ] dev-libs/libverto-0.2.5-r1  USE="libev threads -glib -libevent -static-libs -tevent" ABI_X86="(64) (-32) (-x32)"
[ebuild  N     ] app-admin/gam-server-0.1.10-r1  USE="-debug"
[ebuild  N     ] app-admin/gamin-0.1.10-r1  ABI_X86="(64) (-32) (-x32)"
[ebuild  N     ] virtual/fam-0-r1  ABI_X86="(64) (-32) (-x32)"
[ebuild  N     ] media-fonts/cantarell-0.0.15  USE="X"
[ebuild  N     ] x11-libs/startup-notification-0.12  USE="-static-libs"
[ebuild  N     ] dev-lang/lua-5.1.5  USE="deprecated readline -emacs -static"
[ebuild  N     ] app-admin/eselect-ruby-20131227
[ebuild  NS    ] sys-devel/autoconf-2.13 [2.69]
[ebuild  N     ] virtual/awk-1
[ebuild  N     ] dev-lua/LuaBitOp-1.0.2
[ebuild  N     ] dev-lua/luaexpat-1.2.0-r1
[ebuild  N     ] dev-lua/luasocket-3.0_rc1-r2  USE="-debug"
[ebuild  N     ] dev-lua/lpeg-0.12  USE="-debug -doc"
[ebuild  N     ] dev-lang/swig-2.0.9  USE="pcre -ccache -doc"
[ebuild  N     ] app-admin/eselect-cdparanoia-0.1
[ebuild  N     ] dev-lua/luajson-1.3.2  USE="{-test}"
[ebuild  N     ] net-libs/liboauth-1.0.1  USE="bindist nss -curl -doc"
[ebuild  N     ] media-libs/libquvi-scripts-0.9.20131130  USE="-offensive"
[ebuild  N     ] dev-python/pygobject-2.28.6-r55  USE="-examples -libffi {-test}" PYTHON_TARGETS="python2_7"
[ebuild  N     ] dev-python/pypam-0.5.0-r2  PYTHON_TARGETS="python2_7"
[ebuild  NS    ] dev-lang/spidermonkey-1.8.5-r4 [17.0.0-r3] USE="-debug -minimal -static-libs {-test}"
[ebuild  N     ] app-crypt/mit-krb5-1.12.2  USE="keyutils pkinit threads -doc -openldap (-selinux) {-test} -xinetd" ABI_X86="(64) (-32) (-x32)"
[ebuild  N     ] virtual/krb5-0-r1  ABI_X86="(64) (-32) (-x32)"
[ebuild  N     ] dev-libs/libgee-0.14.0  USE="introspection"
[ebuild  N     ] dev-python/setuptools-2.2  PYTHON_TARGETS="python2_7 python3_3 (-pypy) (-python3_2) (-python3_4)"
[ebuild  N     ] dev-python/polib-1.0.4  USE="-doc" PYTHON_TARGETS="python2_7 python3_3 (-python3_2) (-python3_4)"
[ebuild  N     ] dev-python/pexpect-3.3  USE="-doc -examples {-test}" PYTHON_TARGETS="python2_7 python3_3 (-python3_2) (-python3_4)"
[ebuild  N     ] dev-python/pycurl-7.19.0-r4  USE="ssl -examples" CURL_SSL="nss -gnutls -openssl" PYTHON_TARGETS="python2_7 python3_3 (-python3_2)"
[ebuild  N     ] dev-python/pyxdg-0.25  USE="{-test}" PYTHON_TARGETS="python2_7 python3_3 (-pypy) (-python3_2)"
[ebuild  N     ] dev-libs/libcroco-0.6.8-r1  USE="{-test}" ABI_X86="(64) (-32) (-x32)"
[ebuild  N     ] dev-perl/XML-SAX-0.990.0-r1
[ebuild  N     ] dev-util/itstool-2.0.2  PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7"
[ebuild  N     ] app-text/scrollkeeper-dtd-1.0
[ebuild  N     ] dev-python/pyinotify-0.9.4-r1  USE="-examples" PYTHON_TARGETS="python2_7 python3_3 (-pypy) (-python3_2)"
[ebuild  N     ] dev-python/numpy-1.8.0-r1  USE="-doc -lapack {-test}" PYTHON_TARGETS="python2_7 python3_3 (-python3_2) (-python3_4)"
[ebuild  N     ] app-text/docbook-xml-simple-dtd-1.0-r1
[ebuild  N     ] x11-libs/xpyb-1.3.1-r3  USE="(-selinux) -static-libs" PYTHON_TARGETS="python2_7"
[ebuild  N     ] dev-python/m2crypto-0.21.1-r2  USE="-doc -examples" PYTHON_TARGETS="python2_7"
[ebuild  N     ] dev-python/pillow-2.5.3  USE="jpeg lcms tiff truetype zlib -doc -examples -jpeg2k -scanner {-test} -tk -webp" PYTHON_TARGETS="python2_7 python3_3 (-pypy) (-python3_2) (-python3_4)"
[ebuild  N     ] app-text/iso-codes-3.55  LINGUAS="-af -am -ar -as -ast -az -be -bg -bn -bn_IN -br -bs -byn -ca -crh -cs -cy -da -de -dz -el -en -eo -es -et -eu -fa -fi -fo -fr -ga -gez -gl -gu -haw -he -hi -hr -hu -hy -ia -id -is -it -ja -ka -kk -km -kn -ko -kok -ku -lt -lv -mi -mk -ml -mn -mr -ms -mt -nb -ne -nl -nn -nso -oc -or -pa -pl -ps -pt -pt_BR -ro -ru -rw -si -sk -sl -so -sq -sr -sr@latin -sv -sw -ta -te -th -ti -tig -tk -tl -tr -tt -tt@iqtelif -ug -uk -ve -vi -wa -wal -wo -xh -zh_CN -zh_HK -zh_TW -zu"
[ebuild  N     ] sys-libs/talloc-2.1.0-r1  USE="python -compat" ABI_X86="(64) (-32) (-x32)" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7"
[ebuild  N     ] media-libs/libexif-0.6.21-r1  USE="nls -doc -static-libs" ABI_X86="(64) (-32) (-x32)"
[ebuild  N     ] dev-python/lxml-3.3.5  USE="threads -beautifulsoup3 -doc -examples" PYTHON_TARGETS="python2_7 python3_3 (-python3_2) (-python3_4)"
[ebuild  N     ] app-text/docbook-sgml-utils-0.6.14-r1  USE="-jadetex"
[ebuild  N     ] dev-libs/libpwquality-1.2.3  USE="pam -python -static-libs" PYTHON_TARGETS="python2_7"
[ebuild  N     ] dev-perl/XML-LibXML-2.1.400-r1  USE="{-test}"
[ebuild  N     ] app-text/hunspell-1.3.2-r3  USE="ncurses nls readline -static-libs" LINGUAS="-af -bg -ca -cs -cy -da -de -el -en -eo -es -et -fo -fr -ga -gl -he -hr -hu -ia -id -is -it -km -ku -lt -lv -mk -ms -nb -nl -nn -pl -pt -pt_BR -ro -ru -sk -sl -sq -sv -sw -tn -uk -zu"
[ebuild  N     ] net-libs/gnutls-2.12.23-r6  USE="bindist cxx nettle nls zlib -doc -examples -guile -lzo -pkcs11 -static-libs {-test}"
[ebuild  N     ] dev-libs/libcdio-0.92  USE="cxx -cddb -minimal -static-libs {-test}" ABI_X86="(64) (-32) (-x32)"
[ebuild  N     ] virtual/python-imaging-2  USE="jpeg -tk" PYTHON_TARGETS="python2_7 python3_3 (-pypy) (-python3_2) (-python3_4)"
[ebuild  N     ] x11-libs/libxklavier-5.2.1  USE="introspection -doc"
[ebuild  N     ] gnome-extra/cinnamon-menus-2.2.0  USE="introspection -debug"
[ebuild  N     ] gnome-base/gnome-menus-3.10.1-r1  USE="introspection -debug {-test}"
[ebuild  N     ] gnome-base/libgtop-2.30.0  USE="introspection -debug"
[ebuild  N     ] dev-perl/XML-Simple-2.200.0-r1
[ebuild  N     ] gnome-extra/yelp-xsl-3.12.0
[ebuild  N     ] app-text/enchant-1.6.0  USE="hunspell -aspell -static-libs -zemberek"
[ebuild  N     ] sys-libs/tevent-0.9.21-r1  USE="-python" ABI_X86="(64) (-32) (-x32)" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7"
[ebuild  N     ] dev-libs/libcdio-paranoia-0.90_p1-r1  USE="cxx -static-libs {-test}" ABI_X86="(64) (-32) (-x32)"
[ebuild  N     ] x11-misc/icon-naming-utils-0.8.90
[ebuild  N     ] app-text/yelp-tools-3.12.1
[ebuild  N     ] x11-themes/gnome-icon-theme-3.12.0  USE="branding"
[ebuild  N     ] virtual/freedesktop-icon-theme-0
[ebuild  N     ] dev-lang/ruby-2.0.0_p481  USE="berkdb gdbm ncurses rdoc readline ssl -debug -doc -examples -ipv6 -rubytests -socks5 -xemacs"
[ebuild  N     ] dev-lang/ruby-1.9.3_p547  USE="berkdb gdbm ncurses rdoc readline ssl yaml -debug -doc -examples -ipv6 -rubytests -socks5 -xemacs"
[ebuild  N     ] dev-ruby/rubygems-2.0.14  USE="-server {-test}" RUBY_TARGETS="ruby19 ruby20 (-jruby)"
[ebuild  N     ] virtual/rubygems-6  RUBY_TARGETS="(ruby20)"
[ebuild  N     ] virtual/rubygems-4  RUBY_TARGETS="(ruby19)"
[ebuild  N     ] dev-ruby/rake-0.9.6  USE="-doc {-test}" RUBY_TARGETS="ruby19 ruby20 (-jruby)"
[ebuild  N     ] dev-ruby/json-1.8.0  USE="-doc {-test}" RUBY_TARGETS="ruby19 ruby20 (-jruby)"
[ebuild  N     ] dev-ruby/racc-1.4.9  USE="-doc {-test}" RUBY_TARGETS="ruby19 ruby20 (-jruby)"
[ebuild  N     ] dev-ruby/rdoc-4.0.1-r1  USE="-doc {-test}" RUBY_TARGETS="ruby19 ruby20 (-jruby)"
[ebuild  N     ] app-text/scrollkeeper-9999-r1
[ebuild  N     ] app-text/rarian-0.8.1-r2  USE="-static-libs"
[ebuild  N     ] net-fs/cifs-utils-6.1-r1  USE="acl ads caps caps-ng -creds"
[ebuild  N     ] gnome-base/librsvg-2.40.2-r1  USE="introspection -tools -vala" ABI_X86="(64) (-32) (-x32)"
[ebuild  N     ] x11-themes/gnome-icon-theme-symbolic-3.12.0
[ebuild  N     ] dev-python/pycairo-1.10.0-r4  USE="svg xcb -doc -examples {-test}" PYTHON_TARGETS="python2_7 python3_3 (-python3_2) (-python3_4)"
[ebuild  N     ] dev-python/pygobject-3.12.2  USE="cairo threads -examples {-test}" PYTHON_TARGETS="python2_7 python3_3 (-python3_2) (-python3_4)"
[ebuild  N     ] dev-libs/json-glib-1.0.2  USE="introspection -debug"
[ebuild  N     ] media-libs/cogl-1.18.2  USE="introspection opengl pango -debug -examples -gles2 (-gstreamer) {-test}"
[ebuild  N     ] media-libs/gst-plugins-base-1.2.4-r1  USE="X alsa introspection nls ogg orc pango theora vorbis -ivorbis" ABI_X86="(64) (-32) (-x32)"
[ebuild  N     ] sys-libs/tdb-1.3.0-r1  USE="-python" ABI_X86="(64) -32 (-x32)" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7"
[ebuild  N     ] net-fs/samba-3.6.23-r1  USE="acl aio client cups fam ldap netapi pam readline server smbclient winbind -addns -ads -avahi -caps -cluster -debug -dmapi -doc -examples -ldb -quota (-selinux) -smbsharemodes -swat -syslog" ABI_X86="(64) (-32) (-x32)"
[ebuild  N     ] dev-util/gtk-doc-1.20  USE="-debug -doc -emacs -highlight {-test} -vim" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7"
[ebuild  N     ] dev-libs/libatasmart-0.19-r1  USE="-static-libs"
[ebuild  N     ] sys-apps/gptfdisk-0.8.10  USE="ncurses -static"
[ebuild  N     ] sys-block/parted-3.1-r1  USE="nls readline -debug -device-mapper (-selinux) -static-libs {-test}"
[ebuild  N     ] app-text/gnome-doc-utils-0.20.10-r1  PYTHON_TARGETS="python2_7"
[ebuild  N     ] net-wireless/crda-1.1.2-r3
[ebuild  N     ] media-libs/glu-9.0.0-r1  USE="-static-libs" ABI_X86="(64) (-32) (-x32)"
[ebuild  N     ] virtual/eject-0
[ebuild  N     ] virtual/glu-9.0-r1  ABI_X86="(64) (-32) (-x32)"
[ebuild  N     ] media-libs/freeglut-2.8.1-r1  USE="-debug -static-libs" ABI_X86="(64) (-32) (-x32)"
[ebuild  N     ] media-libs/libwebp-0.4.0  USE="gif jpeg opengl png tiff -experimental -static-libs -swap-16bit-csp" ABI_X86="(64) (-32) (-x32)"
[ebuild  N    #] sys-apps/systemd-215-r3  USE="acl firmware-loader gudev introspection kmod pam policykit seccomp -audit -cryptsetup -doc -elfutils -gcrypt -http (-kdbus) -lzma -python -qrcode (-selinux) (-ssl) {-test} -vanilla" ABI_X86="(64) (-32) (-x32)" PYTHON_SINGLE_TARGET="python2_7 (-python3_2) -python3_3 (-python3_4)" PYTHON_TARGETS="python2_7 python3_3 (-python3_2) (-python3_4)"
[ebuild  N    #] sys-apps/gentoo-systemd-integration-4
[ebuild   R    ] sys-apps/dbus-1.8.8  USE="systemd*"
[ebuild  N     ] dev-python/dbus-python-1.2.0  USE="-doc -examples {-test}" PYTHON_TARGETS="python2_7 python3_3 (-python3_2) (-python3_4)"
[ebuild  N    #] sys-power/upower-0.99.1  USE="introspection -ios"
[ebuild  N     ] gnome-extra/cjs-2.2.1  USE="-examples {-test}"
[ebuild  N     ] dev-python/pyatspi-2.12.0  PYTHON_TARGETS="python2_7 python3_3 (-python3_2)"
[ebuild  N     ] dev-python/pycups-1.9.63  USE="-doc -examples" PYTHON_TARGETS="python2_7 (-pypy)"
[ebuild  N     ] gnome-base/libglade-2.6.4-r2  USE="-static-libs {-test} -tools" ABI_X86="(64) (-32) (-x32)" PYTHON_SINGLE_TARGET="python2_7 (-pypy)" PYTHON_TARGETS="python2_7 (-pypy)"
[ebuild  N     ] net-dialup/ppp-2.4.7  USE="gtk ipv6 pam -activefilter -atm -dhcp -eap-tls -radius"
[ebuild  N     ] dev-python/pygtk-2.24.0-r4  USE="-doc -examples {-test}" PYTHON_TARGETS="python2_7"
[ebuild  N     ] dev-python/gnome-python-base-2.28.1-r1
[ebuild  N     ] dev-qt/qtsvg-4.8.5  USE="accessibility exceptions (-aqua) -debug -pch"
[ebuild  N     ] net-libs/libproxy-0.4.11-r2  USE="gnome python -kde -mono -networkmanager -perl -spidermonkey {-test} -webkit" ABI_X86="(64) (-32) (-x32)" PYTHON_TARGETS="python2_7"
[ebuild  N     ] net-wireless/wpa_supplicant-2.2-r1  USE="dbus qt4 readline ssl -ap -eap-sim -fasteap -gnutls -p2p (-ps3) (-selinux) -smartcard -wimax -wps"
[ebuild  N     ] media-libs/libquvi-0.9.4  USE="nls -examples -static-libs"
[ebuild  N     ] app-crypt/gpgme-1.3.2-r1  USE="-common-lisp -static-libs"
[ebuild  N     ] net-libs/glib-networking-2.40.1-r1  USE="gnome libproxy ssl -smartcard {-test}" ABI_X86="(64) (-32) (-x32)"
[ebuild  N     ] net-libs/libsoup-2.46.0-r1  USE="introspection ssl -debug -samba {-test}" ABI_X86="(64) (-32) (-x32)"
[ebuild  N     ] dev-libs/gmime-2.6.20  USE="-doc -mono -static-libs -vala"
[ebuild  N     ] net-libs/libsoup-gnome-2.46.0  USE="introspection -debug"
[ebuild  N     ] dev-libs/totem-pl-parser-3.10.2  USE="crypt introspection quvi -archive {-test}"
[ebuild  N     ] net-libs/rest-0.7.91  USE="gnome introspection {-test}"
[ebuild  N     ] net-libs/telepathy-glib-0.24.0  USE="introspection vala -debug {-test}" PYTHON_TARGETS="python2_7"
[ebuild  N     ] net-im/telepathy-mission-control-5.16.2  USE="-debug -networkmanager -systemd -upower"
[ebuild  N     ] x11-misc/xdg-user-dirs-0.15  USE="gtk"
[ebuild  N     ] x11-misc/xdg-user-dirs-gtk-0.10
[ebuild  N     ] gnome-extra/cinnamon-desktop-2.2.3  USE="introspection"
[ebuild  N     ] gnome-base/libgnomekbd-3.6.0  USE="introspection {-test}"
[ebuild  N     ] gnome-base/dconf-0.20.0  USE="X {-test}"
[ebuild  N     ] net-misc/modemmanager-1.2.0-r1  USE="introspection policykit qmi -mbim -qmi-newest -vala"
[ebuild  N     ] app-crypt/libsecret-0.18  USE="crypt introspection -debug {-test} -vala"
[ebuild  N     ] media-libs/clutter-1.18.2  USE="gtk introspection -debug -doc {-test}"
[ebuild  N     ] gnome-base/libgnome-keyring-3.12.0  USE="introspection -debug {-test} -vala"
[ebuild  N     ] x11-themes/gnome-themes-standard-3.12.0  USE="gtk"
[ebuild  N     ] gnome-base/gnome-desktop-3.12.2  USE="introspection -debug"
[ebuild  N     ] sys-apps/accountsservice-0.6.37  USE="introspection -doc (-selinux) -systemd"
[ebuild  N     ] net-print/cups-pk-helper-0.2.5
[ebuild  N     ] x11-libs/colord-gtk-0.1.25  USE="introspection -doc -vala"
[ebuild  N     ] net-wireless/gnome-bluetooth-3.12.0  USE="introspection -debug"
[ebuild  N     ] x11-libs/vte-0.36.3  USE="introspection -debug -glade"
[ebuild  N     ] app-admin/system-config-printer-common-1.4.3  USE="policykit -doc" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7"
[ebuild  N     ] sys-fs/udisks-2.1.3  USE="gptfdisk introspection -cryptsetup -debug (-selinux) -systemd"
[ebuild  N     ] media-libs/grilo-0.2.10  USE="gtk introspection network playlist -examples {-test} -vala"
[ebuild  N     ] dev-libs/libgweather-3.12.2-r1  USE="introspection -glade -vala"
[ebuild  N     ] net-misc/networkmanager-0.9.8.10-r1  USE="bluetooth consolekit dhcpcd introspection modemmanager nss ppp wext wifi -avahi -connection-sharing -dhclient -gnutls -resolvconf -systemd {-test} -vala"
[ebuild  N     ] app-admin/system-config-printer-gnome-1.4.3-r1  USE="gnome-keyring" LINGUAS="-ar -as -bg -bn -bn_IN -br -bs -ca -cs -cy -da -de -el -en_GB -es -et -fa -fi -fr -gu -he -hi -hr -hu -hy -id -is -it -ja -ka -kn -ko -lo -lv -mai -mk -ml -mr -ms -nb -nl -nn -or -pa -pl -pt -pt_BR -ro -ru -si -sk -sl -sr -sr@latin -sv -ta -te -th -tr -uk -vi -zh_CN -zh_TW" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7"
[ebuild  N     ] app-i18n/ibus-1.5.5  USE="X gtk gtk3 introspection nls python -deprecated -gconf {-test} -vala -wayland" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7"
[ebuild  N     ] app-misc/geoclue-2.1.9  USE="modemmanager"
[ebuild  N     ] gnome-extra/cinnamon-screensaver-2.2.4  USE="pam -debug -doc -systemd"
[ebuild  N     ] dev-python/gconf-python-2.28.1-r1  USE="-examples" PYTHON_TARGETS="python2_7"
[ebuild  N     ] app-accessibility/caribou-0.4.13  PYTHON_TARGETS="python2_7"
[ebuild  N     ] net-libs/webkit-gtk-2.4.4-r1  USE="X egl geoloc gstreamer introspection jit libsecret opengl spell webgl (-aqua) -coverage -debug -gles2 {-test} -wayland"
[ebuild  N     ] net-libs/libsocialweb-0.25.21-r1  USE="gnome introspection networkmanager vala -connman"
[ebuild  N     ] gnome-extra/zenity-3.12.1  USE="libnotify webkit -debug {-test}"
[ebuild  N     ] gnome-extra/cinnamon-settings-daemon-2.2.4  USE="colord cups -debug -smartcard -systemd" INPUT_DEVICES="-wacom"
[ebuild  N     ] gnome-extra/gnome-color-manager-3.12.3  USE="(-packagekit) -raw {-test}"
[ebuild  N     ] x11-wm/muffin-2.2.6  USE="introspection {-test} -xinerama"
[ebuild  N     ] gnome-extra/cinnamon-session-2.2.2  USE="-doc -gconf -ipv6 -systemd"
[ebuild  N     ] gnome-extra/nm-applet-0.9.8.10-r1  USE="bluetooth introspection -gconf -modemmanager"
[ebuild  N     ] gnome-extra/cinnamon-control-center-2.2.10  USE="colord cups socialweb -debug" INPUT_DEVICES="-wacom"
[ebuild  N     ] net-libs/gnome-online-accounts-3.12.4  USE="gnome introspection -debug -kerberos"
[ebuild  N     ] gnome-base/gvfs-1.20.2  USE="cdda gnome-online-accounts gtk http libsecret udev udisks -afp -archive -avahi -bluray -fuse -gphoto2 -ios -mtp -samba -systemd {-test}"
[ebuild  N     ] gnome-extra/nemo-2.2.2  USE="exif introspection l10n (-packagekit) {-test} -tracker -xmp"
[ebuild  N     ] sci-geosciences/geocode-glib-3.12.2  USE="introspection {-test}"
[ebuild  N     ] gnome-base/gnome-settings-daemon-3.12.2  USE="colord cups i18n policykit short-touchpad-timeout udev -debug (-openrc-force) (-packagekit) -smartcard {-test}" INPUT_DEVICES="-wacom"
[ebuild  N     ] gnome-base/gnome-control-center-3.12.1-r1  USE="bluetooth colord cups gnome-online-accounts i18n -debug -kerberos -v4l" INPUT_DEVICES="-wacom"
[ebuild  N     ] gnome-base/gnome-session-3.12.1  USE="-debug -doc -gconf -ipv6 -systemd"
[ebuild  N    ~] gnome-extra/cinnamon-2.2.16-r2  USE="l10n networkmanager" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7"
[blocks B      ] sys-apps/systemd ("sys-apps/systemd" is blocking sys-fs/eudev-1.10-r2)
[blocks B      ] sys-apps/gentoo-systemd-integration ("sys-apps/gentoo-systemd-integration" is blocking sys-fs/eudev-1.10-r2)
[blocks B      ] sys-power/upower ("sys-power/upower" is blocking sys-power/upower-pm-utils-0.9.23-r2)

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  (sys-power/upower-0.99.1::gentoo, ebuild scheduled for merge) pulled in by
    >=sys-power/upower-0.99:= required by (gnome-base/gnome-control-center-3.12.1-r1::gentoo, ebuild scheduled for merge)
    >=sys-power/upower-0.99:= required by (gnome-base/gnome-settings-daemon-3.12.2::gentoo, ebuild scheduled for merge)

  (sys-fs/eudev-1.10-r2::gentoo, installed) pulled in by
    >=sys-fs/eudev-1.3:0/0[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?,static-libs?] (>=sys-fs/eudev-1.3:0/0[abi_x86_64(-)]) required by (virtual/libudev-215-r1::gentoo, installed)
    >=sys-fs/eudev-1.3 required by (virtual/udev-215::gentoo, installed)
    >=sys-fs/eudev-1.5.3-r1:0/0[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?,gudev,introspection?,static-libs?] (>=sys-fs/eudev-1.5.3-r1:0/0[abi_x86_64(-),gudev,introspection]) required by (virtual/libgudev-215-r1::gentoo, installed)
    sys-fs/eudev required by @selected

  (sys-power/upower-pm-utils-0.9.23-r2::gentoo, installed) pulled in by
    >=sys-power/upower-pm-utils-0.9.23 required by (gnome-extra/cinnamon-session-2.2.2::gentoo, ebuild scheduled for merge)
    sys-power/upower-pm-utils[introspection] required by (gnome-extra/cinnamon-2.2.16-r2::gentoo, ebuild scheduled for merge)
    sys-power/upower-pm-utils required by (net-misc/networkmanager-0.9.8.10-r1::gentoo, ebuild scheduled for merge)
    sys-power/upower-pm-utils required by (gnome-extra/cinnamon-settings-daemon-2.2.4::gentoo, ebuild scheduled for merge)
    sys-power/upower-pm-utils required by @selected
    sys-power/upower-pm-utils required by (gnome-extra/cinnamon-control-center-2.2.10::gentoo, ebuild scheduled for merge)

  (sys-apps/systemd-215-r3::gentoo, ebuild scheduled for merge) pulled in by
    sys-apps/systemd required by (gnome-base/gnome-settings-daemon-3.12.2::gentoo, ebuild scheduled for merge)
    sys-apps/systemd:0= required by (sys-apps/dbus-1.8.8::gentoo, ebuild scheduled for merge)
    >=sys-apps/systemd-31 required by (gnome-base/gnome-control-center-3.12.1-r1::gentoo, ebuild scheduled for merge)
    >=sys-apps/systemd-31 required by (gnome-extra/cinnamon-control-center-2.2.10::gentoo, ebuild scheduled for merge)
    >=sys-apps/systemd-207 required by (sys-apps/gentoo-systemd-integration-4::gentoo, ebuild scheduled for merge)


For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

http://www.gentoo.org/doc/en/handbook/handbook-x86.xml?full=1#blocked


The following keyword changes are necessary to proceed:
 (see "package.accept_keywords" in the portage(5) man page for more details)
# required by =cinnamon-2.2.16-r2 (argument)
=gnome-extra/cinnamon-2.2.16-r2 ~amd64

The following mask changes are necessary to proceed:
 (see "package.unmask" in the portage(5) man page for more details)
# required by gnome-base/gnome-settings-daemon-3.12.2
# required by gnome-base/gnome-session-3.12.1
# required by gnome-base/gnome-control-center-3.12.1-r1
# required by net-libs/gnome-online-accounts-3.12.4[gnome]
# required by gnome-base/gvfs-1.20.2[gnome-online-accounts]
# required by gnome-extra/nemo-2.2.2
# required by gnome-extra/cinnamon-2.2.16-r2
# required by =cinnamon-2.2.16-r2 (argument)
# /etc/portage/package.mask:
# SystemD and Lennart friends...
=sys-power/upower-0.99.1
# required by sys-apps/systemd-215-r3[-vanilla]
# required by sys-apps/dbus-1.8.8[systemd]
# required by app-misc/geoclue-2.1.9
# required by gnome-base/gnome-settings-daemon-3.12.2
# required by gnome-base/gnome-session-3.12.1
# required by gnome-base/gnome-control-center-3.12.1-r1
# required by net-libs/gnome-online-accounts-3.12.4[gnome]
# required by gnome-base/gvfs-1.20.2[gnome-online-accounts]
# required by gnome-extra/nemo-2.2.2
# required by gnome-extra/cinnamon-2.2.16-r2
# required by =cinnamon-2.2.16-r2 (argument)
# /etc/portage/package.mask:
# SystemD and Lennart friends...
=sys-apps/gentoo-systemd-integration-4
# required by sys-apps/dbus-1.8.8[systemd]
# required by app-misc/geoclue-2.1.9
# required by gnome-base/gnome-settings-daemon-3.12.2
# required by gnome-base/gnome-session-3.12.1
# required by gnome-base/gnome-control-center-3.12.1-r1
# required by net-libs/gnome-online-accounts-3.12.4[gnome]
# required by gnome-base/gvfs-1.20.2[gnome-online-accounts]
# required by gnome-extra/nemo-2.2.2
# required by gnome-extra/cinnamon-2.2.16-r2
# required by =cinnamon-2.2.16-r2 (argument)
# /etc/portage/package.mask:
# SystemD and Lennart friends...
=sys-apps/systemd-215-r3

The following USE changes are necessary to proceed:
 (see "package.use" in the portage(5) man page for more details)
# required by sys-apps/systemd-215-r3
# required by gnome-extra/cinnamon-control-center-2.2.10
# required by gnome-extra/cinnamon-2.2.16-r2
# required by =cinnamon-2.2.16-r2 (argument)
>=sys-apps/dbus-1.8.8 systemd
# required by net-misc/networkmanager-0.9.8.10-r1[ppp]
# required by gnome-extra/cinnamon-2.2.16-r2[networkmanager]
# required by =cinnamon-2.2.16-r2 (argument)
>=net-dialup/ppp-2.4.7 ipv6

NOTE: The --autounmask-keep-masks option will prevent emerge
      from creating package.unmask or ** keyword changes.


I have also tried to mask systemd and upower but it doesn't work:
Code:

cat /etc/portage/package.mask
sys-apps/systemd
sys-power/upower
sys-apps/gentoo-systemd-integration


And finally here's the make.conf with my use flags
Code:

# These settings were set by the catalyst build script that automatically
# built this stage.
# Please consult /usr/share/portage/config/make.conf.example for a more
# detailed example.
CFLAGS="-march=native -O2 -pipe -fomit-frame-pointer"
CXXFLAGS="${CFLAGS}"

# WARNING: Changing your CHOST is not something that should be done lightly.
# Please consult http://www.gentoo.org/doc/en/change-chost.xml before changing.
CHOST="x86_64-pc-linux-gnu"

GENTOO_MIRRORS="                                \
http://gentoo.inode.at/                         \
http://gd.tuwien.ac.at/opsys/linux/gentoo/      \
ftp://ftp.free.fr/mirrors/ftp.gentoo.org/       \
http://de-mirror.org/gentoo/                    \
http://ftp.uni-erlangen.de/pub/mirrors/gentoo   \
http://mirror.switch.ch/ftp/mirror/gentoo/      \
http://ftp.ucsb.edu/pub/mirrors/linux/gentoo/   \
http://mirror.usu.edu/mirrors/gentoo/           \
"

# Parallel compiles, now two cores (HT)
MAKEOPTS="-j3"

PORTDIR="/usr/portage"
DISTDIR="${PORTDIR}/distfiles"
PKGDIR="${PORTDIR}/packages"
#PORTDIR_OVERLAY="/usr/local/portage"

USE="\
bindist mmx sse sse2 sse3 ssse3 sse4 \
-doc -kde -debug -ipv6 -sample -test \
-systemd -upower \
X dri \
"


please note I'm already using eudev 1.10-r2 (instead of udev) and upower-pm-utils (0.9.23-r2) and pm-utils (1.4.1-r6) instead of upower (0.99.1)

Any hints ?

Ben
Back to top
View user's profile Send private message
Perfect Gentleman
l33t
l33t


Joined: 18 May 2014
Posts: 772

PostPosted: Sun Oct 12, 2014 5:41 pm    Post subject: Reply with quote

Ben, what's gonna be if you add USE="-gnome -gnome-keyring -gnome-online-accounts" to make.conf ?
Back to top
View user's profile Send private message
ben72
n00b
n00b


Joined: 06 Nov 2006
Posts: 28

PostPosted: Sun Oct 12, 2014 6:17 pm    Post subject: Reply with quote

Perfect Gentleman wrote:
Ben, what's gonna be if you add USE="-gnome -gnome-keyring -gnome-online-accounts" to make.conf ?


Whoa !!! You rule and you're a real Perfect Gentleman :)
It's emerging a lot of stuff right now (~150 packages) but it's going on :) I'll keep you updated on my installation !
I'll post here details on how it goes, it could be an interesting topic for a lot of you

Ben
Back to top
View user's profile Send private message
Perfect Gentleman
l33t
l33t


Joined: 18 May 2014
Posts: 772

PostPosted: Mon Oct 13, 2014 5:17 am    Post subject: Reply with quote

You are welcome!
How is it going?
Back to top
View user's profile Send private message
ben72
n00b
n00b


Joined: 06 Nov 2006
Posts: 28

PostPosted: Mon Oct 13, 2014 8:01 am    Post subject: emerged fine Reply with quote

I'm using it on an old Core 2 Duo so compiling everything from the ground takes ages, expecially when dealing with webkit and Chromium.
This is a brand new clean installation but after some time everything emerged fine, I didn't tested it yet but Cinnamon is installed and ready. Muffin (window manager) is there and I just need to pickup a display manager, with that use flag I cannot use GDM at all so I'll do some experiments with others (lightdm, lxdm, slim, ...), don't know what could be better with cinnamon (suggestions?).
I'll keep you updated

Ben
Back to top
View user's profile Send private message
Perfect Gentleman
l33t
l33t


Joined: 18 May 2014
Posts: 772

PostPosted: Mon Oct 13, 2014 8:33 am    Post subject: Reply with quote

some time ago i used cinnamon before switching to KDE, i used slim with autologin, because it's simple
Back to top
View user's profile Send private message
Perfect Gentleman
l33t
l33t


Joined: 18 May 2014
Posts: 772

PostPosted: Wed Oct 15, 2014 8:57 am    Post subject: Re: emerged fine Reply with quote

ben72 wrote:
I'm using it on an old Core 2 Duo so compiling everything from the ground takes ages, expecially when dealing with webkit and Chromium.
Still compiling ?
Back to top
View user's profile Send private message
ben72
n00b
n00b


Joined: 06 Nov 2006
Posts: 28

PostPosted: Wed Oct 15, 2014 3:08 pm    Post subject: done, but... Reply with quote

First round closed and I'm still alive :D
Chrom[e|ium] is fine as well as webkit and a lot of other stuff (X, NVidia drivers, ...).

Now I'm in the second round.
I have avoided upower and udev stuff, but:

- Cinnamon requires something in few menus. For example if you start X from command line you'll reach the Cinnamon desktop environment. From there the logout menu button doesn't work, the same goes for the shutdown button. I guess it's something related to dbus/systemd
- Big packages like LibreOffice are tightly related to gnome (or kde) USE flags. As suggested I have disabled gnome USE flag but it seems there're other hidden dependencies to upower (disabled as well, see my previous posts). gnome-settings-daemon, gnome-control-center. It seems they're still trying to install a new dbus (with systemd) and upower as well. Don't know why.
Here's another huge post (please excuse me) with libreoffice requirements:
Code:

falcon ~ # emerge libreoffice
Calculating dependencies... done!
[ebuild  N     ] dev-util/cppunit-1.13.2-r2  USE="-doc -examples -static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] app-text/libexttextcat-3.4.0  USE="-static-libs"
[ebuild  N     ] sys-devel/ucpp-1.3.4  USE="-static-libs"
[ebuild  N     ] dev-util/boost-build-1.52.0-r1  USE="-examples -python {-test}"
[ebuild  N     ] sci-libs/ufconfig-3.5.0  USE="-static-libs"
[ebuild  N     ] sys-libs/libseccomp-2.1.1  USE="-static-libs"
[ebuild  N     ] dev-libs/boost-1.52.0-r7  USE="nls threads -debug -doc -icu -mpi -python -static-libs -tools" PYTHON_TARGETS="python2_7 python3_3 (-python3_2)"
[ebuild  N     ] sys-apps/keyutils-1.5.9-r1  USE="{-test}" ABI_X86="(64) (-32) (-x32)"
[ebuild  N     ] dev-util/mdds-0.10.3
[ebuild  N     ] dev-libs/libixion-0.5.0  USE="-static-libs"
[ebuild  N     ] media-fonts/liberation-fonts-2.00.0-r1  USE="X -fontforge"
[ebuild  N     ] media-fonts/libertine-ttf-5.1.3.20110615  USE="X"
[ebuild  N     ] app-text/libwpd-0.9.9  USE="tools -doc {-test}"
[ebuild  N     ] net-misc/npapi-sdk-0.27.2
[ebuild  N     ] app-text/libwpg-0.2.2  USE="-doc -static-libs"
[ebuild  N     ] app-text/libwps-0.2.9  USE="-debug -doc -static-libs"
[ebuild  N     ] media-libs/libfreehand-0.0.0  USE="-doc -static-libs"
[ebuild  N     ] app-text/libmspub-0.0.6  USE="-doc -static-libs"
[ebuild  N     ] media-libs/libcdr-0.0.14  USE="-doc -static-libs"
[ebuild  N     ] app-crypt/mhash-0.9.9.9-r1  USE="-static-libs"
[ebuild  N     ] virtual/perl-Compress-Raw-Zlib-2.60.0-r2
[ebuild  N     ] dev-perl/Archive-Zip-1.300.0-r1
[ebuild  N     ] dev-libs/libgamin-0.1.10-r4  USE="-debug -python -static-libs" ABI_X86="(64) (-32) (-x32)"
[ebuild  N     ] dev-libs/liborcus-0.5.1  USE="-static-libs"
[ebuild  N     ] sci-libs/colamd-2.7.3  USE="-static-libs"
[ebuild  N     ] dev-libs/iniparser-3.1-r1  USE="-doc -examples -static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] dev-libs/libev-4.15-r1  USE="-static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] sci-mathematics/lpsolve-5.5.2.0  USE="-static-libs"
[ebuild  N     ] dev-libs/libverto-0.2.5-r1  USE="libev threads -glib -libevent -static-libs -tevent" ABI_X86="(64) (-32) (-x32)"
[ebuild  N     ] app-admin/gam-server-0.1.10-r1  USE="-debug"
[ebuild  N     ] app-admin/gamin-0.1.10-r1  ABI_X86="(64) (-32) (-x32)"
[ebuild  N     ] virtual/fam-0-r1  ABI_X86="(64) (-32) (-x32)"
[ebuild  N     ] media-fonts/cantarell-0.0.15  USE="X"
[ebuild  N     ] dev-lang/lua-5.1.5  USE="deprecated readline -emacs -static"
[ebuild  N     ] dev-db/unixODBC-2.3.1  USE="minimal -odbcmanual -static-libs"
[ebuild  N     ] dev-libs/hyphen-2.8.6  USE="-static-libs"
[ebuild  N     ] app-text/mythes-1.2.3  USE="-static-libs"
[ebuild  N     ] app-office/libreoffice-l10n-4.2.6.3-r1  USE="-offlinehelp" LINGUAS="it -af -am -ar -as -ast -be -bg -bn -bn_IN -bo -br -brx -bs -ca -ca_valencia -cs -cy -da -de -dgo -dz -el -en -en_GB -en_ZA -eo -es -et -eu -fa -fi -fr -ga -gd -gl -gu -he -hi -hr -hu -id -is -ja -ka -kk -km -kmr_Latn -kn -ko -kok -ks -lb -lo -lt -lv -mai -mk -ml -mn -mni -mr -my -nb -ne -nl -nn -nr -nso -oc -om -or -pa_IN -pl -pt -pt_BR -ro -ru -rw -sa_IN -sat -sd -si -sid -sk -sl -sq -sr -sr_Latn -ss -st -sv -sw_TZ -ta -te -tg -th -tn -tr -ts -tt -ug -uk -uz -ve -vi -xh -zh_CN -zh_TW -zu"
[ebuild  N     ] dev-lua/luasocket-3.0_rc1-r2  USE="-debug"
[ebuild  N     ] dev-lua/LuaBitOp-1.0.2
[ebuild  N     ] dev-lua/luaexpat-1.2.0-r1
[ebuild  N     ] dev-lua/lpeg-0.12  USE="-debug -doc"
[ebuild  N     ] dev-lua/luajson-1.3.2  USE="{-test}"
[ebuild  N     ] net-libs/liboauth-1.0.1  USE="bindist nss -curl -doc"
[ebuild  N     ] media-libs/libquvi-scripts-0.9.20131130  USE="-offensive"
[ebuild  N     ] app-crypt/mit-krb5-1.12.2  USE="keyutils pkinit threads -doc -openldap (-selinux) {-test} -xinetd" ABI_X86="(64) (-32) (-x32)"
[ebuild  N     ] virtual/krb5-0-r1  ABI_X86="(64) (-32) (-x32)"
[ebuild  N     ] dev-python/pyxdg-0.25  USE="{-test}" PYTHON_TARGETS="python2_7 python3_3 (-pypy) (-python3_2)"
[ebuild  N     ] app-text/libetonyek-0.0.3  USE="-doc -static-libs {-test}"
[ebuild  N     ] app-text/libabw-0.0.2  USE="-doc -static-libs"
[ebuild  N     ] media-libs/libvisio-0.0.30  USE="-doc -static-libs"
[ebuild  N     ] net-libs/neon-0.30.0-r1  USE="nls ssl zlib -doc -expat -gnutls -kerberos -libproxy -pkcs11 -static-libs" ABI_X86="(64) (-32) (-x32)" LINGUAS="-cs -de -fr -ja -nn -pl -ru -tr -zh_CN"
[ebuild  N     ] dev-cpp/libcmis-0.4.1  USE="-man -static-libs {-test}"
[ebuild  N     ] app-text/libebook-0.0.2  USE="-doc {-test}"
[ebuild  N     ] app-text/libmwaw-0.2.0  USE="-doc -static-libs"
[ebuild  N     ] sys-libs/talloc-2.1.0-r1  USE="python -compat" ABI_X86="(64) (-32) (-x32)" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7"
[ebuild  N     ] media-libs/raptor-2.0.9  USE="curl unicode -debug -json -static-libs"
[ebuild  N     ] app-text/liblangtag-0.5.1  USE="introspection -static-libs {-test}"
[ebuild  N     ] app-text/libodfgen-0.0.4
[ebuild  N     ] dev-libs/libpwquality-1.2.3  USE="pam -python -static-libs" PYTHON_TARGETS="python2_7"
[ebuild  N     ] media-libs/libquvi-0.9.4  USE="nls -examples -static-libs"
[ebuild  N     ] gnome-base/gnome-menus-3.10.1-r1  USE="introspection -debug {-test}"
[ebuild  N     ] gnome-base/libgtop-2.30.0  USE="introspection -debug"
[ebuild  N     ] net-libs/libsoup-gnome-2.46.0  USE="introspection -debug"
[ebuild  N     ] sys-libs/tevent-0.9.21-r1  USE="-python" ABI_X86="(64) (-32) (-x32)" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7"
[ebuild  N     ] net-fs/cifs-utils-6.1-r1  USE="acl ads caps caps-ng -creds"
[ebuild  N    #] sys-power/upower-0.99.1  USE="introspection -ios"
[ebuild  N     ] sys-libs/tdb-1.3.0-r1  USE="-python" ABI_X86="(64) -32 (-x32)" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7"
[ebuild  N     ] net-fs/samba-3.6.23-r1  USE="acl aio client cups fam ldap netapi pam readline server smbclient winbind -addns -ads -avahi -caps -cluster -debug -dmapi -doc -examples -ldb -quota (-selinux) -smbsharemodes -swat -syslog" ABI_X86="(64) (-32) (-x32)"
[ebuild  N     ] dev-libs/rasqal-0.9.29  USE="crypt mhash pcre xml -doc -gmp -static-libs {-test}"
[ebuild  N     ] dev-libs/redland-1.0.16  USE="berkdb xml -iodbc -mysql -odbc -postgres -sqlite -static-libs"
[ebuild  N     ] dev-cpp/clucene-2.3.3.4-r5  USE="-debug -doc -static-libs"
[ebuild  N     ] app-crypt/gpgme-1.3.2-r1  USE="-common-lisp -static-libs"
[ebuild  N     ] dev-libs/gmime-2.6.20  USE="-doc -mono -static-libs -vala"
[ebuild  N     ] dev-libs/totem-pl-parser-3.10.2  USE="crypt introspection quvi -archive {-test}"
[ebuild  N     ] net-libs/telepathy-glib-0.24.0  USE="introspection vala -debug {-test}" PYTHON_TARGETS="python2_7"
[ebuild  N     ] net-im/telepathy-mission-control-5.16.2  USE="-debug -networkmanager -systemd -upower"
[ebuild  N     ] x11-misc/xdg-user-dirs-0.15  USE="gtk"
[ebuild  N     ] x11-misc/xdg-user-dirs-gtk-0.10
[ebuild  N     ] gnome-base/gnome-desktop-3.12.2  USE="introspection -debug"
[ebuild  N     ] dev-libs/libgweather-3.12.2-r1  USE="introspection -glade -vala"
[ebuild  N     ] media-libs/grilo-0.2.10  USE="gtk introspection network playlist -examples {-test} -vala"
[ebuild  N     ] app-i18n/ibus-1.5.5  USE="X gtk gtk3 introspection nls python -deprecated -gconf {-test} -vala -wayland" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7"
[ebuild  N     ] sci-geosciences/geocode-glib-3.12.2  USE="introspection {-test}"
[ebuild  N     ] net-libs/gnome-online-accounts-3.12.4  USE="gnome introspection -debug -kerberos"
[ebuild  N     ] dev-libs/libgdata-0.14.3  USE="gnome introspection -debug -static-libs -vala"
[ebuild  N     ] gnome-extra/evolution-data-server-3.12.4  USE="gtk introspection ldap vala weather -api-doc-extras -gnome-online-accounts -ipv6 -kerberos {-test}"
[ebuild  N     ] app-office/libreoffice-4.2.6.3  USE="bluetooth branding cups dbus eds gnome gstreamer gtk opengl vba webdav (-aqua) -debug (-firebird) -gtk3 -java -jemalloc -kde -mysql -odk -postgres -telepathy {-test} -vlc" LIBREOFFICE_EXTENSIONS="-nlpsolver -scripting-beanshell -scripting-javascript -wiki-publisher" PYTHON_SINGLE_TARGET="python2_7 -python3_3 (-python3_4)" PYTHON_TARGETS="python2_7 python3_3 (-python3_4)"
[ebuild  N    #] sys-apps/systemd-215-r3  USE="acl firmware-loader gudev introspection kmod pam policykit seccomp -audit -cryptsetup -doc -elfutils -gcrypt -http (-kdbus) -lzma -python -qrcode (-selinux) (-ssl) {-test} -vanilla" ABI_X86="(64) (-32) (-x32)" PYTHON_SINGLE_TARGET="python2_7 (-python3_2) -python3_3 (-python3_4)" PYTHON_TARGETS="python2_7 python3_3 (-python3_2) (-python3_4)"
[ebuild  N    #] sys-apps/gentoo-systemd-integration-4
[ebuild   R    ] sys-apps/dbus-1.8.8  USE="systemd*"
[uninstall     ] sys-auth/nss-myhostname-0.3
[blocks b      ] sys-auth/nss-myhostname ("sys-auth/nss-myhostname" is blocking sys-apps/systemd-215-r3)
[blocks b      ] >=sys-apps/systemd-197 (">=sys-apps/systemd-197" is blocking sys-auth/nss-myhostname-0.3)
[uninstall     ] app-admin/openrc-settingsd-1.0.1
[ebuild  N     ] gnome-base/gnome-settings-daemon-3.12.2  USE="colord cups i18n policykit short-touchpad-timeout udev -debug (-openrc-force) (-packagekit) -smartcard {-test}" INPUT_DEVICES="-wacom"
[ebuild  N     ] gnome-base/gnome-control-center-3.12.1-r1  USE="bluetooth colord cups gnome-online-accounts i18n -debug -kerberos -v4l" INPUT_DEVICES="-wacom"
[ebuild  N     ] gnome-base/gnome-session-3.12.1  USE="-debug -doc -gconf -ipv6 -systemd"
[blocks B      ] sys-apps/systemd ("sys-apps/systemd" is blocking sys-fs/eudev-1.10-r2, app-admin/openrc-settingsd-1.0.1)
[blocks B      ] sys-power/upower ("sys-power/upower" is blocking sys-power/upower-pm-utils-0.9.23-r2)
[blocks B      ] sys-apps/gentoo-systemd-integration ("sys-apps/gentoo-systemd-integration" is blocking sys-fs/eudev-1.10-r2)

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

sys-apps/dbus:0

  (sys-apps/dbus-1.8.8::gentoo, installed) pulled in by
    (no parents that aren't satisfied by other packages in this slot)

  (sys-apps/dbus-1.8.8::gentoo, ebuild scheduled for merge) pulled in by
    >=sys-apps/dbus-1.6.8-r1:0[systemd] required by (sys-apps/systemd-215-r3::gentoo, ebuild scheduled for merge)


!!! Enabling --newuse and --update might solve this conflict.
!!! If not, it might help emerge to give a more specific suggestion.


 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  (sys-power/upower-0.99.1::gentoo, ebuild scheduled for merge) pulled in by
    >=sys-power/upower-0.99:= required by (gnome-base/gnome-settings-daemon-3.12.2::gentoo, ebuild scheduled for merge)
    >=sys-power/upower-0.99:= required by (gnome-base/gnome-control-center-3.12.1-r1::gentoo, ebuild scheduled for merge)
    sys-power/upower[introspection] required by (gnome-extra/cinnamon-2.2.16-r2::gentoo, installed)
    >=sys-power/upower-0.9.1:= required by (gnome-extra/cinnamon-control-center-2.2.10::gentoo, installed)
    sys-power/upower required by (net-misc/networkmanager-0.9.8.10-r1::gentoo, installed)
    >=sys-power/upower-0.9.11:= required by (gnome-extra/cinnamon-settings-daemon-2.2.4::gentoo, installed)

  (sys-apps/systemd-215-r3::gentoo, ebuild scheduled for merge) pulled in by
    sys-apps/systemd:0= required by (sys-apps/dbus-1.8.8::gentoo, ebuild scheduled for merge)
    >=sys-apps/systemd-207 required by (sys-apps/gentoo-systemd-integration-4::gentoo, ebuild scheduled for merge)
    sys-apps/systemd required by (gnome-base/gnome-settings-daemon-3.12.2::gentoo, ebuild scheduled for merge)
    >=sys-apps/systemd-31 required by (gnome-base/gnome-control-center-3.12.1-r1::gentoo, ebuild scheduled for merge)
    >=sys-apps/systemd-31 required by (gnome-extra/cinnamon-control-center-2.2.10::gentoo, installed)

  (sys-fs/eudev-1.10-r2::gentoo, installed) pulled in by
    sys-fs/eudev required by @selected
    >=sys-fs/eudev-1.3:0/0[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?,static-libs?] (>=sys-fs/eudev-1.3:0/0[abi_x86_64(-)]) required by (virtual/libudev-215-r1::gentoo, installed)
    >=sys-fs/eudev-1.5.3-r1:0/0[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?,gudev,introspection?,static-libs?] (>=sys-fs/eudev-1.5.3-r1:0/0[abi_x86_64(-),gudev,introspection]) required by (virtual/libgudev-215-r1::gentoo, installed)
    >=sys-fs/eudev-1.3 required by (virtual/udev-215::gentoo, installed)

  (sys-power/upower-pm-utils-0.9.23-r2::gentoo, installed) pulled in by
    sys-power/upower-pm-utils required by @selected
    >=sys-power/upower-pm-utils-0.9.23 required by (gnome-extra/cinnamon-session-2.2.2::gentoo, installed)


For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

http://www.gentoo.org/doc/en/handbook/handbook-x86.xml?full=1#blocked


The following mask changes are necessary to proceed:
 (see "package.unmask" in the portage(5) man page for more details)
# required by gnome-base/gnome-control-center-3.12.1-r1
# required by net-libs/gnome-online-accounts-3.12.4[gnome]
# required by dev-libs/libgdata-0.14.3[gnome]
# required by gnome-extra/evolution-data-server-3.12.4
# required by app-office/libreoffice-4.2.6.3[eds]
# required by libreoffice (argument)
# /etc/portage/package.mask:
# SystemD and Lennart friends...
=sys-power/upower-0.99.1
# required by sys-apps/dbus-1.8.8[systemd]
# /etc/portage/package.mask:
# SystemD and Lennart friends...
=sys-apps/systemd-215-r3
# required by sys-apps/systemd-215-r3[-vanilla]
# required by sys-apps/dbus-1.8.8[systemd]
# /etc/portage/package.mask:
# SystemD and Lennart friends...
=sys-apps/gentoo-systemd-integration-4

The following USE changes are necessary to proceed:
 (see "package.use" in the portage(5) man page for more details)
# required by net-libs/gnome-online-accounts-3.12.4[gnome]
# required by dev-libs/libgdata-0.14.3[gnome]
# required by gnome-extra/evolution-data-server-3.12.4
# required by app-office/libreoffice-4.2.6.3[eds]
# required by libreoffice (argument)
>=gnome-base/gnome-control-center-3.12.1-r1 gnome-online-accounts
# required by sys-apps/systemd-215-r3
# required by gnome-base/gnome-control-center-3.12.1-r1
# required by net-libs/gnome-online-accounts-3.12.4[gnome]
# required by dev-libs/libgdata-0.14.3[gnome]
# required by gnome-extra/evolution-data-server-3.12.4
# required by app-office/libreoffice-4.2.6.3[eds]
# required by libreoffice (argument)
>=sys-apps/dbus-1.8.8 systemd

NOTE: The --autounmask-keep-masks option will prevent emerge
      from creating package.unmask or ** keyword changes.

Use --autounmask-write to write changes to config files (honoring
CONFIG_PROTECT). Carefully examine the list of proposed changes,
paying special attention to mask or keyword changes that may expose
experimental or unstable packages.

autounmask-write wants to modify my package unmask to enable upower, systemd and gentoo-systemd-integration again.

Personally I don't care about gnome-control-panel or cinnamon setup, I prefer to set my system from config files and I don't need these utilities but it seems eudev and dbus (without systemd flags) are not enough to keep the system up. GTK libraries are installed but something else is required. any hints or suggestions ?

Thanks
Ben
Back to top
View user's profile Send private message
Perfect Gentleman
l33t
l33t


Joined: 18 May 2014
Posts: 772

PostPosted: Wed Oct 15, 2014 3:19 pm    Post subject: Reply with quote

Code:
[ebuild  N     ] app-office/libreoffice-4.2.6.3  USE="bluetooth branding cups dbus eds gnome gstreamer gtk opengl vba webdav (-aqua) -debug (-firebird) -gtk3 -java -jemalloc -kde -mysql -odk -postgres -telepathy {-test} -vlc" LIBREOFFICE_EXTENSIONS="-nlpsolver -scripting-beanshell -scripting-javascript -wiki-publisher" PYTHON_SINGLE_TARGET="python2_7 -python3_3 (-python3_4)" PYTHON_TARGETS="python2_7 python3_3 (-python3_4)"

nope, USE=gnome is enabled
also, do you need bluetooth and gstreamer ?
Back to top
View user's profile Send private message
ben72
n00b
n00b


Joined: 06 Nov 2006
Posts: 28

PostPosted: Wed Oct 15, 2014 4:12 pm    Post subject: right ! Reply with quote

You're right, I did it in my latest test. Now I'm back with my original make.conf and USE flags (shame on me...).
With these flags I have got a message related to a missing USE flag requirement ("eds") and after a short research I know that is the Evolution Data Server, I don't think I need it so I have disabled it.
Now I'm emerging openoffice without troubles, I'll let you know results when it's done (don't know but I guess it will take something like 4-5 hours at least).

I'd like to share my /etc/portage/make.conf file for further readings and to share it with other GTK+Cinnamon users, hopefully systemd could be avoided (I still hope so)

Code:

falcon ~ # cat /etc/portage/make.conf
# These settings were set by the catalyst build script that automatically
# built this stage.
# Please consult /usr/share/portage/config/make.conf.example for a more
# detailed example.
CFLAGS="-march=native -O2 -pipe -fomit-frame-pointer"
CXXFLAGS="${CFLAGS}"

# WARNING: Changing your CHOST is not something that should be done lightly.
# Please consult http://www.gentoo.org/doc/en/change-chost.xml before changing.
CHOST="x86_64-pc-linux-gnu"

GENTOO_MIRRORS="                                \
http://gentoo.inode.at/                         \
http://gd.tuwien.ac.at/opsys/linux/gentoo/      \
ftp://ftp.free.fr/mirrors/ftp.gentoo.org/       \
http://de-mirror.org/gentoo/                    \
http://ftp.uni-erlangen.de/pub/mirrors/gentoo   \
http://mirror.switch.ch/ftp/mirror/gentoo/      \
http://ftp.ucsb.edu/pub/mirrors/linux/gentoo/   \
http://mirror.usu.edu/mirrors/gentoo/           \
"


# Parallel compiles, now two cores (HT)
MAKEOPTS="-j3"

PORTDIR="/usr/portage"
DISTDIR="${PORTDIR}/distfiles"
PKGDIR="${PORTDIR}/packages"
#PORTDIR_OVERLAY="/usr/local/portage"

# These are the USE flags that were used in addition to what is provided by the profile used for building.
# BINDIST MMX SSE SSE2 SSE3 SSSE3 SSE4 - CPU Optimizations
# -DOC         No documentation
# -KDE         No KDE
# -DEBUG       No debug information compiled
# -SAMPLE      No sample/test units
# -TEST        No test features (stable branches)
# -SYSTEMD     SystemD: Avoid SystemD like a plague !!!
# -UPOWER      SystemD: without upower, no systemd
# X            XWindow is needed
# DRI          Use DRI engine
USE="\
bindist mmx sse sse2 sse3 ssse3 sse4 \
-doc -kde -debug -ipv6 -sample -test \
-systemd -upower \
-eds -gnome -gnome-keyring -gnome-online-accounts \
cups gtk opengl \
X dri \
"

# XWindow Configuration
INPUT_DEVICES="evdev"
#VIDEO_CARDS="nouveau"
VIDEO_CARDS="nvidia"

# Libre Office
LINGUAS="it"
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Desktop Environments All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum